function z=u0(x,typ)
%% pocatecni podminka
%
% vstupni udaje:
%
% x   ... argument
% typ ... typ pocatecni podminky
%
% vystupni udaje:
%
% z  ... hodnoty pocatecni podminky
%
switch typ
  case 1 % Riemannuv problem
    fid=fopen('poc.txt','rt');
    CL=fscanf(fid,'%e',1);
    CP=fscanf(fid,'%e',1);
    uL=fscanf(fid,'%e',1);
    uS=fscanf(fid,'%e',1);
    uP=fscanf(fid,'%e',1);
    fclose(fid);
    z(x<CL)=uL; % prirazeni hodnot uzlum vlevo od leve prepazky
    z((x>=CL)&(x<CP))=uS; % prirazeni hodnot uzlum mezi prepazkami
    z(x>=CP)=uP; % prirazeni hodnot uzlum vpravo od prave prepazky
  case 2 % prubeh podle sinusovky 
    L=x(end);
    z=exp(-20*(x-0.5*L).^2);
end
z=z(:); % z je sloupcovy vektor